> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ledger 트랜잭션을 사용하여 토큰 요청

> Ledger 서명 트랜잭션을 위한 대체 토큰 요청입니다. 트랜잭션 내에서 `{signText}{time}` 형식으로 메시지에 서명합니다.



## OpenAPI

````yaml /ko/api-reference/openapi/launch-auth-v1.yaml post /request-token-ledger
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    LaunchLab 및 Forum API를 위한 지갑 인증을 관리합니다. ed25519 지갑 서명을 검증한 후 JWT 토큰을 발급합니다.
    Forum API에서 댓글을 작성하고 콘텐츠를 관리하려면 토큰이 필요합니다.
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: 인증 토큰 요청 및 검증
  - name: Utilities
    description: 상태 확인 엔드포인트
paths:
  /request-token-ledger:
    post:
      tags:
        - Token Management
      summary: Ledger 트랜잭션을 사용하여 토큰 요청
      description: >-
        Ledger 서명 트랜잭션을 위한 대체 토큰 요청입니다. 트랜잭션 내에서 `{signText}{time}` 형식으로 메시지에
        서명합니다.
      operationId: postRequestTokenLedger
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - transaction
                - wallet
              properties:
                time:
                  type: integer
                  description: Unix 타임스탐프(초 단위)
                  example: 1704067200
                transaction:
                  type: string
                  description: 서명된 메시지를 포함하는 Solana 트랜잭션(base64 인코딩)
                wallet:
                  type: string
                  description: Solana 지갑 공개 키
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: 토큰이 성공적으로 발급됨
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string

````